# $Revision: 1.17 $, $Date: 2008/07/27 22:47:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	Naturally
Summary:	Sort::Naturally Perl module - sort lexically, but sort numeral parts numerically
Summary(pl.UTF-8):	Moduł Perla Sort::Naturally - sortujący leksykalnie, ale liczby numerycznie
Name:		perl-Sort-Naturally
Version:	1.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a173f3f8f519ebae6e5e578e843f6e1c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort::Naturally module exports two functions, nsort and ncmp; they are
used in implementing my idea of a "natural sorting" algorithm. Under
natural sorting, numeric substrings are compared numerically, and
other word-characters are compared lexically.

%description -l pl.UTF-8
Moduł Sort::Naturally ma wyeksportowane dwie funkcje: nsort i ncmp. Są
one implementacją algorytmu "naturalnego sortowania". W algorytmie tym
podciągi numeryczne są sortowane numerycznie, a pozostałe znaki -
leksykalnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Sort/Naturally.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sort-Naturally.spec,v $
Revision 1.17  2008/07/27 22:47:42  arekm
- release 2

Revision 1.16  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.14  2005/01/03 12:36:49  adamg
- updated to 1.02

Revision 1.13  2004/11/03 22:30:44  paladine
- formatting

Revision 1.12  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.10  2004/05/06 18:21:04  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/02 05:32:04  ankry
- tests added, license fix

Revision 1.8  2003/08/18 08:09:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:02  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:46:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:38:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

